// Convenient namespace for images with width and height
// Used for segmented images and hovering, mostly

// For trader menu
namespace TraderPics
{
	private struct Picture Blackness = {512.0, 1080.0, "BLAKNESS"};
	private struct Picture SideBGTop = {256.0, 80.0, "TRADBG1"};
	private struct Picture SideBGMid = {256.0, 129.0, "TRADBG2"};
	private struct Picture SideTabRed = {256.0, 29.0, "TRADHEDR"};
	private struct Picture MoneyBack = {160.0, 40.0, "TRADMONY"};
	
	// Exit Button
	private struct Picture ExitBut = {225.0, 64.0, "TRADEXT1"};
	private struct Picture ExitButOver = {225.0, 64.0, "TRADEXT2"};
	
	// Ammo / Armor Buttons
	private struct Picture ArmorBut = {108.0, 48.0, "TRADARM1"};
	private struct Picture ArmorButOver = {108.0, 48.0, "TRADARM2"};
	private struct Picture AmmoBut = {108.0, 48.0, "TRADAMO1"};
	private struct Picture AmmoButOver = {108.0, 48.0, "TRADAMO2"};
	
	// Perk Categories
	private struct Picture PerkTab = {241.0, 30.0, "TRADPRK1"};
	private struct Picture PerkTabOver = {241.0, 30.0, "TRADPRK2"};
	
	// Scrollbar
	private struct Picture ScrollBack = {23.0, 129.0, "TRADSBR1"};
	private struct Picture ScrollMid = {23.0, 129.0, "TRADSBR2"};
	private struct Picture ScrollLow = {23.0, 129.0, "TRADSBR3"};
	private struct Picture ScrollLine = {25.0, 4.0, "TRADSBAR"};
	
	// Guns
	private struct Picture BuyGun = {322.0, 30.0, "TRADBUY1"};
	private struct Picture BuyGunOver = {322.0, 30.0, "TRADBUY2"};
	private struct Picture BadGun = {322.0, 30.0, "TRADBUY3"};
	private struct Picture BadGunOver = {322.0, 30.0, "TRADBUY4"};
	
	// Sell Guns
	private struct Picture SellGun = {322.0, 30.0, "TRADSLI1"};
	private struct Picture SellGunOver = {322.0, 30.0, "TRADSLI2"};
	
	// Go back
	private struct Picture GoBack = {271.0, 41.0, "TRADBAK1"};
	private struct Picture GoBackOver = {271.0, 41.0, "TRADBAK2"};
	
	// Tooltip
	private struct Picture TooltipTop = {336.0, 32.0, "INFOBOX1"};
	private struct Picture TooltipMid = {336.0, 32.0, "INFOBOX2"};
	private struct Picture TooltipLow = {336.0, 32.0, "INFOBOX3"};
};

// - - - - - - - - - - - - - - - - - - - - - - v

// For perk select menu
namespace PerkSelectPics
{
	// Background
	private struct Picture PerkSelectBG = {532.0, 464.0, "PSELBG"};
	
	// Actual list item
	private struct Picture PSItem = {210.0, 32.0, "PSTAB1"};
	private struct Picture PSItemOver = {210.0, 32.0, "PSTAB2"};
	private struct Picture PSOItem = {210.0, 32.0, "PSTAB3"};
	private struct Picture PSOItemOver = {210.0, 32.0, "PSTAB4"};
};