//===================================================================
// ZOMBIE TORRENT 2 - 555 Functions
// Coded by Loismustdie555
//
// Use if you want, I don't really give a shit
//===================================================================

#define TYPE_LENGTH 3

// These are all of the weapon types that we can possibly get
str WeaponTypes[TYPE_LENGTH] = {
	"WTypeDoom",
	"WTypePistol",
	"WTypePumpShotgun"
};

//=====================================================
//
// New Grenade, Reloading, and Quick Melee thingies
//
//=====================================================

// Syringe health face
script "SyringeFade" (void)
{
	FadeTo(11, 212, 235, 0.1, 0.1);
	Delay(5);
	FadeTo(11, 212, 235, 0.0, 0.5);
}

// Syringe script
script "SyringeKey" (void) net
{
	if (CheckInventory("QuickHealing") <= 0 && CheckInventory("PendingQuickness") <= 0  && CheckInventory("QuickGrenading") <= 0
	 && CheckInventory("SyringeJuice") >= 100 && GetActorProperty(0, APROP_HEALTH) < 100)
	{
		GiveInventory("PendingQuickness",1);
		GiveInventory("QuickHealing",1);
		bool success = SetWeapon("Syringe");
		
		delay(5);
		
		if (!success)
		{
			TakeInventory("PendingQuickness", 1);
			TakeInventory("QuickHealing", 1);
		}
	}
}

// Grenade script
script "GrenadeKey" (void) net
{
	if (CheckInventory("QuickGrenading") <= 0 && CheckInventory("PendingQuickness") <= 0 && CheckInventory("QuickHealing") <= 0 )
	{
		// Do we have the proper grenade ammo?
		int FP = FindPerkIndex();
		// int nadeAmmo = GetGrenadeAmmo();
		int nadeAmmo = CheckInventory("Type97Primary");
		if (nadeAmmo > 0)
		{
			// SetWeapon(ZT2Perks[FP][DATA_GRENADE]);
			GiveInventory("QuickGrenading",1);
			GiveInventory("PendingQuickness",1);
			bool success = SetWeapon("Type-97 Grenade");
			
			if (!success) //useless
			{
				TakeInventory("PendingQuickness", 1);
				TakeInventory("QuickGrenading", 1);
			}
		}
	}
}

script "HeCameInAndKilledEveryoneWithBareHandsLikeBruceLeeOrSomeShit" (void) net
{
	GiveInventory("DoBlocking",1);
	Delay(4);
	TakeInventory("DoBlocking",999);
}

// Handles zoom and reload keys
script "ZoomReloadKeys" (void)
{
	while (ClassifyActor(0) & ACTOR_ALIVE)
	{
		// Reload!
		if (ButtonPressed(BT_RELOAD))
			InvEnsure("IsReloading", 1);
		else
			InvEnsure("IsReloading", 0);
			
		// ADS
		if (ButtonPressed(BT_ZOOM))
			InvEnsure("DoADS", 1);
		else
			InvEnsure("DoADS", 0);
		
		delay(1);
	}
	
	delay(35);
}

// Handles actual zooming in and out
script "ZoomInOut" (int zoomedIn)
{
	if (zoomedIn)
		GiveInventory("PowerADS", 1);
	else
		TakeInventory("PowerADS", 1);
}

//=====================================================
//
// PERK SPAWN ITEMS
//
//=====================================================

Script "GiveClassItems" (VOID) Net
{
	If(CheckInventory("Perk_Juggernaut"))
	{
		GiveInventory("Pump Shotgun", 1);
		SetWeapon("Pump Shotgun");
		GiveInventory("DukeSecondary", 32);
		GiveInventory("OrderPrimary",10);
		GiveInventory("Type-97 Grenade",1);
		GiveInventory("Type97Primary",3);
	}
	Else If(CheckInventory("Perk_Commando"))
	{
		GiveInventory("M16A4 Rifle", 1);
		SetWeapon("M16A4 Rifle");
		GiveInventory("M16Primary", 45);
		GiveInventory("OrderPrimary",10);
		GiveInventory("Type-97 Grenade",1);
		GiveInventory("Type97Primary",3);
	}
	Else If(CheckInventory("Perk_Demo"))
	{
		GiveInventory("M79 Grenade Launcher", 1);
		GiveInventory("Dynamite", 1);
		GiveInventory("DynamitePrimary", 3);
		SetWeapon("M79 Grenade Launcher");
		GiveInventory("M79Primary", 1);
		GiveInventory("M79Secondary", 3);
		GiveInventory("OrderPrimary",10);
	}
	Else If(CheckInventory("Perk_Rifleman"))
	{
		GiveInventory("M1Garand", 1);
		GiveInventory("Sticky Bomb", 1);
		GiveInventory("StickyPrimary", 3);
		SetWeapon("M1Garand");
		GiveInventory("M1Primary", 8);
		GiveInventory("OrderPrimary",15);
		GiveInventory("Type-97 Grenade",1);
		GiveInventory("Type97Primary",3);
	}
	Else If(CheckInventory("Perk_Pyro"))
	{
		GiveInventory("ZTFlamethrower", 1);
		GiveInventory("Flamenade", 1);
		GiveInventory("FlamenadePrimary", 3);
		SetWeapon("ZTFlamethrower");
		GiveInventory("FlamePrimary", 70);
		GiveInventory("OrderPrimary",10); 
	}
}

// Hey yo, zedek coded this
script "SwapWeaponType" (int wepType)
{
	for (int l=0; l<TYPE_LENGTH; l++) 
	{
		if (l != wepType)
			InvEnsure(WeaponTypes[l], 0);
		else
			InvEnsure(WeaponTypes[l], 1);
	}
}