#define REGEN_HEALTH 30
#define SYRINGE_RATE 4

// This is called pretty frequently, it was 5 in 2.7
#define MOUSEOVER_RATE 3

//REGENERATING HEALTH
script "HealthRegeneration" (void)
{
	int healthTick, syringeTick;
	int greenTick;
	int mouseTick;
	
	// Looking at NOBODY
	LookedAt[PlayerNumber()].ID = -1;
	
    While(True)
    {
		// Handle mousing over players
		mouseTick ++;
		
		if (mouseTick >= MOUSEOVER_RATE)
		{
			HandleMouseOver();
			mouseTick = 0;
		}
		
		// CHECK CROUCHING
		InvEnsure("IsCrouched", CheckPlayerCrouching());

		// Add syringe regardless
		syringeTick ++;
		if (syringeTick >= SYRINGE_RATE)
		{
			syringeTick = 0;
			
			if (CheckInventory("SyringeJuice") < 100)
			{
				// If giving us 1 would put us at 100, play the blip sound
				if (CheckInventory("SyringeJuice")+1 == 100)
				{
					GiveInventory("SyringeBlip", 1);
					LocalAmbientSound("syringe/ready", 128);
					greenTick = 2;
				}
				
				GiveInventory("SyringeJuice", 1);
			}
		}
		
		// Reduce green blip time
		if (greenTick > 0)
		{
			greenTick --;
			if (greenTick <= 0)
				TakeInventory("SyringeBlip", 1);
		}
		
		Delay(1);
    }
}