#define GIB_RADIUS			64

script "RadialBlood" (int x, int y, int z)
{
	int OID = ActivatorTID();
	int UID = UniqueTID();
	
	Thing_ChangeTID(0, UID);

	for (int l=0; l<MAXPLAYERS; l++)
	{
		if (!PlayerInGame(l))
			continue;
			
		int TID = PlayerTID(l);
		int dis = distancePoint(x*1.0, y*1.0, z*1.0, TID);
			
		if (dis <= GIB_RADIUS)
		{
			SetActivator(TID);
			ACS_NamedExecuteAlways("ScreenBlood",0);
		}
	}
	
	SetActivator(UID);
	Thing_ChangeTID(0, OID);
}

script "ScreenBlood" (void) CLIENTSIDE
{
	int W = 640;
	int H = 480;
	SetHudSize(W, H, 0);
	
	LocalAmbientSound("blood/screendrip", 127);
	
	for (int l=0; l<4; l++)
	{
		int X = Random(0, W) * 1.0;
		int Y = Random(0, H) * 1.0;
		
		SetFont("BLODDRP1");
		HudMessage(s:"a"; HUDMSG_FADEOUT, HID_SCREENBLOOD+l, CR_WHITE, X+ALIGN_CENTER, Y+ALIGN_CENTER, 0.25, 1.0, 0.25);
	}
	
	SetHudSize(0, 0, false);
}